Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryModOneRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryModOneRule

- Any expression mod 1 (exp % 1) is guaranteed to always return zero. This code is probably an error, and should be either (exp & 1) or (exp % 2).

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority